Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1563703 (CVE-2018-9240) - CVE-2018-9240 ncmpc: NULL pointer dereference leading to denial of service
Summary: CVE-2018-9240 ncmpc: NULL pointer dereference leading to denial of service
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2018-9240
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1563705
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-04 14:07 UTC by Andrej Nemec
Modified: 2020-11-05 10:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:19:35 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2018-04-04 14:07:56 UTC
ncmpc through 0.29 is prone to a NULL pointer dereference flaw. If a user uses the chat screen and another client sends a long chat message, a crash and denial of service could occur.

References:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=894724

Comment 1 Andrej Nemec 2018-04-04 14:08:36 UTC
Created ncmpc tracking bugs for this issue:

Affects: fedora-all [bug 1563705]

Comment 2 Product Security DevOps Team 2019-06-10 10:19:35 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.